Перейти к содержанию

"Первые шаги": как преобразовать Text в MText? Где справка?


Рекомендуемые сообщения

Пытаюсь сваять первый простейший скрипт в Нанокаде. У меня есть объект Текст, мне нужно вместо него положить объект МТекст, на тех же координатах, того же размера и так далее. Поскольку знаю только VBA, то и писать надо Visual Basic Script.

Первое, что мне нужно сделать - выбрать объект на чертеже.

Открываю руководство разработчика, "Справочное руководство nanoCAD ActiveX API", нахожу там раздел 'GetEntity Method', пишу следующий текст:

 

Dim entTxt, entMTxt
Dim pt

ThisDrawing.Utility.GetEntity entTxt, pt, "Укажите объект"

if entTxt.EntityName <> "AcDbText" then ThisDrawing.Utility.Prompt "Это не текст!"
else
AddMText(pt, width, text)
end if

 

И, собсно, это всё, что я смог найти в справке "без посторонней помощи". Даже про AddMText я узнал из какой-то статьи в интернете. А дальше? Как установить параметры этого MText'a, тот же самый width, например? Как удалить существующий текст? Где, в каком разделе справки это искать? В ней даже объектов таких - Text,MText - нету... Куды дальше рыть?

Ссылка на сообщение
Поделиться на другие сайты

В гугле первая же ссылка

_http://www.vbaexpress.com/forum/archive/index.php/t-19964.html

Ссылка на сообщение
Поделиться на другие сайты

Присоединяйтесь к обсуждению

Вы можете написать сейчас и зарегистрироваться позже. Если у вас есть аккаунт, авторизуйтесь, чтобы опубликовать от имени своего аккаунта.

Гость
Ответить в этой теме...

×   Вставлено с форматированием.   Восстановить форматирование

  Разрешено использовать не более 75 эмодзи.

×   Ваша ссылка была автоматически встроена.   Отображать как обычную ссылку

×   Ваш предыдущий контент был восстановлен.   Очистить редактор

×   Вы не можете вставлять изображения напрямую. Загружайте или вставляйте изображения по ссылке.

Загрузка...
  • Расскажите друзьям

    Нравится Официальный форум компании Нанософт? Расскажите друзьям!
×
×
  • Создать...